SOURCES (AC-branch): avahi-daemon (NEW), avahi-desktop.patch (NEW)...

baggins baggins at pld-linux.org
Mon May 15 01:02:12 CEST 2006


Author: baggins                      Date: Sun May 14 23:02:12 2006 GMT
Module: SOURCES                       Tag: AC-branch
---- Log message:
- merged from HEAD

---- Files affected:
SOURCES:
   avahi-daemon (NONE -> 1.4.4.1)  (NEW), avahi-desktop.patch (NONE -> 1.3.2.1)  (NEW), avahi-destdir.patch (NONE -> 1.2.4.1)  (NEW), avahi-dnsconfd (NONE -> 1.6.4.1)  (NEW), avahi-glade.patch (NONE -> 1.1.4.1)  (NEW), avahi.png (NONE -> 1.1.4.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/avahi-daemon
diff -u /dev/null SOURCES/avahi-daemon:1.4.4.1
--- /dev/null	Mon May 15 01:02:12 2006
+++ SOURCES/avahi-daemon	Mon May 15 01:02:07 2006
@@ -0,0 +1,85 @@
+#!/bin/sh
+#
+# avahi-daemon:	Starts the Avahi daemon
+#
+# chkconfig:	345 34 66
+#
+# description:	This is a daemon which runs on client machines to perform \
+#		Zeroconf service discovery on a network. avahi-daemon must be \
+#		running on systems  that use Avahi for service discovery. \
+#		Avahi-daemon should not be running otherwise.
+#
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+	if [ ! -f /var/lock/subsys/network ]; then
+		msg_network_down avahi-daemon
+		exit 1
+	fi
+else
+	exit 0
+fi
+
+
+# See how we were called.
+case "$1" in
+  start)
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/avahi-daemon ]; then
+		msg_starting avahi-daemon
+		daemon avahi-daemon -D
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/avahi-daemon
+	else
+		msg_already_running avahi-daemon
+	fi
+	;;
+  stop)
+	if [ -f /var/lock/subsys/avahi-daemon ]; then
+		# Stop daemons.
+		msg_stopping avahi-daemon
+		avahi-daemon -k
+		rm -f /var/lock/subsys/avahi-daemon
+		ok
+	else
+		msg_not_running avahi-daemon
+	fi
+	;;
+  restart)
+	$0 stop
+	$0 start
+	exit $?
+	;;
+  reload)
+	if [ -f /var/lock/subsys/avahi-daemon ]; then
+		msg_reloading avahi-daemon
+		avahi-daemon -r
+		RETVAL=$?
+	else
+		msg_not_running avahi-daemon >&2
+		RETVAL=7
+	fi
+	;;
+  force-reload)
+	$0 reload
+	exit $?
+	;;
+  status)
+	status avahi-daemon
+	RETVAL=$?
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
+	exit 3
+esac
+
+exit $RETVAL
+
+# This must be last line !
+# vi:syntax=sh:tw=78:ts=8:sw=4

================================================================
Index: SOURCES/avahi-desktop.patch
diff -u /dev/null SOURCES/avahi-desktop.patch:1.3.2.1
--- /dev/null	Mon May 15 01:02:12 2006
+++ SOURCES/avahi-desktop.patch	Mon May 15 01:02:07 2006
@@ -0,0 +1,15 @@
+--- avahi-0.6.10-o/avahi-python/avahi-discover.desktop.in	2006-03-03 12:17:29.000000000 -0700
++++ avahi-0.6.10/avahi-python/avahi-discover.desktop.in	2006-05-05 22:12:10.000000000 -0600
+@@ -2,9 +2,9 @@
+ Encoding=UTF-8
+ Name=Avahi Zeroconf Browser
+ Comment=Browse for Zeroconf services available on your network
+-Exec=@bindir@/avahi-discover
++Exec=avahi-discover
+ Terminal=false
+ Type=Application
+-Icon=gnome-nettool
+-Categories=GNOME;Application;System;Utility;
++Icon=avahi.png
++Categories=GTK;System;Utility
+ StartupNotify=false

================================================================
Index: SOURCES/avahi-destdir.patch
diff -u /dev/null SOURCES/avahi-destdir.patch:1.2.4.1
--- /dev/null	Mon May 15 01:02:12 2006
+++ SOURCES/avahi-destdir.patch	Mon May 15 01:02:07 2006
@@ -0,0 +1,16 @@
+diff -aurN avahi-0.6.9.orig/avahi-sharp/Makefile.am avahi-0.6.9/avahi-sharp/Makefile.am
+--- avahi-0.6.9.orig/avahi-sharp/Makefile.am	2006-01-17 13:23:08.000000000 +0100
++++ avahi-0.6.9/avahi-sharp/Makefile.am	2006-03-19 20:52:34.680436936 +0100
+@@ -75,10 +75,10 @@
+ endif
+ 
+ install-data-hook: $(ASSEMBLY)
+-	$(GACUTIL) /i $(ASSEMBLY) /package avahi-sharp /gacdir $(libdir) /root $(DESTDIR)$(libdir)
++	$(GACUTIL) /i $(ASSEMBLY) /package avahi-sharp /gacdir $(libdir) /root $(DESTDIR)$(prefix)/lib
+ 
+ uninstall-hook: $(ASSEMBLY)
+-	$(GACUTIL) /u avahi-sharp /package avahi-sharp /gacdir $(libdir) /root $(DESTDIR)$(libdir)
++	$(GACUTIL) /u avahi-sharp /package avahi-sharp /gacdir $(libdir) /root $(DESTDIR)$(prefix)/lib
+ 
+ endif
+ endif

================================================================
Index: SOURCES/avahi-dnsconfd
diff -u /dev/null SOURCES/avahi-dnsconfd:1.6.4.1
--- /dev/null	Mon May 15 01:02:12 2006
+++ SOURCES/avahi-dnsconfd	Mon May 15 01:02:07 2006
@@ -0,0 +1,86 @@
+#!/bin/sh
+#
+# avahi-dnsconfd:	Starts the Avahi dns configuration daemon
+#
+# chkconfig:		345 34 66
+#
+# description:	avahi-dnsconfd connects to a running avahi-daemon and runs the script \
+#		/etc/avahi/dnsconf.action for each unicast DNS server that is announced \
+#		on the local LAN. This is useful for configuring unicast DNS servers in \
+#		a DHCP-like fashion with mDNS.
+#
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+	if [ ! -f /var/lock/subsys/network ]; then
+		msg_network_down avahi-dnsconfd
+		exit 1
+	fi
+else
+	exit 0
+fi
+
+
+# See how we were called.
+case "$1" in
+  start)
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/avahi-dnsconfd ]; then
+		msg_starting avahi-dnsconfd
+		daemon avahi-dnsconfd -D
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/avahi-dnsconfd
+	else
+		msg_already_running avahi-dnsconfd
+	fi
+	;;
+  stop)
+	if [ -f /var/lock/subsys/avahi-dnsconfd ]; then
+		# Stop daemons.
+		msg_stopping avahi-dnsconfd
+		avahi-dnsconfd -k
+		rm -f /var/lock/subsys/avahi-dnsconfd
+		ok
+	else
+		msg_not_running avahi-dnsconfd
+	fi
+	;;
+  restart)
+	$0 stop
+	$0 start
+	exit $?
+	;;
+  reload)
+	if [ -f /var/lock/subsys/avahi-dnsconfd ]; then
+		msg_reloading avahi-dnsconfd
+		avahi-dnsconfd -r
+		RETVAL=$?
+	else
+		msg_not_running avahi-dnsconfd >&2
+		RETVAL=7
+	fi
+	;;
+  force-reload)
+	$0 reload
+	exit $?
+	;;
+  status)
+	status avahi-dnsconfd
+	RETVAL=$?
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
+	exit 3
+esac
+
+exit $RETVAL
+
+# This must be last line !
+# vi:syntax=sh:tw=78:ts=4:sw=4

================================================================
Index: SOURCES/avahi-glade.patch
diff -u /dev/null SOURCES/avahi-glade.patch:1.1.4.1
--- /dev/null	Mon May 15 01:02:12 2006
+++ SOURCES/avahi-glade.patch	Mon May 15 01:02:07 2006
@@ -0,0 +1,120 @@
+diff -aurN avahi-0.6.5.orig/avahi-discover-standalone/Makefile.am avahi-0.6.5/avahi-discover-standalone/Makefile.am
+--- avahi-0.6.5.orig/avahi-discover-standalone/Makefile.am	2005-09-25 22:34:48.000000000 +0200
++++ avahi-0.6.5/avahi-discover-standalone/Makefile.am	2006-01-26 16:41:42.000341000 +0100
+@@ -20,7 +20,8 @@
+ AM_CFLAGS=-I$(top_srcdir)
+ 
+ interfaces = \
+-        avahi-discover.glade
++	avahi-discover.glade \
++	avahi-discover-standalone.glade
+ 
+ # This cool debug trap works on i386/gcc only
+ AM_CFLAGS+='-DDEBUG_TRAP=__asm__("int $$3")'
+diff -aurN avahi-0.6.5.orig/avahi-discover-standalone/avahi-discover-standalone.glade avahi-0.6.5/avahi-discover-standalone/avahi-discover-standalone.glade
+--- avahi-0.6.5.orig/avahi-discover-standalone/avahi-discover-standalone.glade	1970-01-01 01:00:00.000000000 +0100
++++ avahi-0.6.5/avahi-discover-standalone/avahi-discover-standalone.glade	2005-09-25 22:34:48.000000000 +0200
+@@ -0,0 +1,91 @@
++<?xml version="1.0" standalone="no"?> <!--*- mode: xml -*-->
++<!DOCTYPE glade-interface SYSTEM "http://glade.gnome.org/glade-2.0.dtd">
++
++<glade-interface>
++
++<widget class="GtkWindow" id="main_window">
++  <property name="visible">True</property>
++  <property name="title" translatable="yes">Avahi Discovery</property>
++  <property name="type">GTK_WINDOW_TOPLEVEL</property>
++  <property name="window_position">GTK_WIN_POS_NONE</property>
++  <property name="modal">False</property>
++  <property name="default_width">500</property>
++  <property name="default_height">400</property>
++  <property name="resizable">True</property>
++  <property name="destroy_with_parent">False</property>
++  <property name="decorated">True</property>
++  <property name="skip_taskbar_hint">False</property>
++  <property name="skip_pager_hint">False</property>
++  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
++  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
++  <property name="focus_on_map">True</property>
++  <signal handler="gtk_main_quit" name="destroy" after="False"/>
++
++  <child>
++    <widget class="GtkVBox" id="vbox1">
++      <property name="border_width">12</property>
++      <property name="visible">True</property>
++      <property name="homogeneous">False</property>
++      <property name="spacing">12</property>
++
++      <child>
++	<widget class="GtkScrolledWindow" id="scrolledwindow1">
++	  <property name="visible">True</property>
++	  <property name="can_focus">True</property>
++	  <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
++	  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
++	  <property name="shadow_type">GTK_SHADOW_IN</property>
++	  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>
++
++	  <child>
++	    <widget class="GtkTreeView" id="tree_view">
++	      <property name="visible">True</property>
++	      <property name="can_focus">True</property>
++	      <property name="headers_visible">True</property>
++	      <property name="rules_hint">False</property>
++	      <property name="reorderable">False</property>
++	      <property name="enable_search">True</property>
++	      <property name="fixed_height_mode">False</property>
++	      <property name="hover_selection">False</property>
++	      <property name="hover_expand">False</property>
++	      <signal name="cursor_changed" handler="on_tree_view_cursor_changed" last_modification_time="Sat, 30 Jul 2005 21:39:13 GMT"/>
++	    </widget>
++	  </child>
++	</widget>
++	<packing>
++	  <property name="padding">0</property>
++	  <property name="expand">True</property>
++	  <property name="fill">True</property>
++	</packing>
++      </child>
++
++      <child>
++	<widget class="GtkLabel" id="info_label">
++	  <property name="visible">True</property>
++	  <property name="can_focus">True</property>
++	  <property name="label" translatable="yes">&lt;i&gt;No service currently selected.&lt;/i&gt;</property>
++	  <property name="use_underline">False</property>
++	  <property name="use_markup">True</property>
++	  <property name="justify">GTK_JUSTIFY_LEFT</property>
++	  <property name="wrap">False</property>
++	  <property name="selectable">True</property>
++	  <property name="xalign">0</property>
++	  <property name="yalign">0.5</property>
++	  <property name="xpad">0</property>
++	  <property name="ypad">0</property>
++	  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
++	  <property name="width_chars">-1</property>
++	  <property name="single_line_mode">False</property>
++	  <property name="angle">0</property>
++	</widget>
++	<packing>
++	  <property name="padding">0</property>
++	  <property name="expand">False</property>
++	  <property name="fill">False</property>
++	</packing>
++      </child>
++    </widget>
++  </child>
++</widget>
++
++</glade-interface>
+diff -aurN avahi-0.6.5.orig/avahi-discover-standalone/main.c avahi-0.6.5/avahi-discover-standalone/main.c
+--- avahi-0.6.5.orig/avahi-discover-standalone/main.c	2005-11-04 00:36:41.000000000 +0100
++++ avahi-0.6.5/avahi-discover-standalone/main.c	2006-01-26 16:35:46.100341000 +0100
+@@ -333,7 +333,7 @@
+ 
+     poll_api = avahi_glib_poll_new(NULL, G_PRIORITY_DEFAULT);
+ 
+-    xml = glade_xml_new(AVAHI_INTERFACES_DIR"avahi-discover.glade", NULL, NULL);
++    xml = glade_xml_new(AVAHI_INTERFACES_DIR"avahi-discover-standalone.glade", NULL, NULL);
+     main_window = glade_xml_get_widget(xml, "main_window");
+     g_signal_connect(main_window, "delete-event", (GCallback) main_window_on_delete_event, NULL);
+     

================================================================
Index: SOURCES/avahi.png
<<Binary file>>
================================================================


More information about the pld-cvs-commit mailing list